function x = VUoverDeigs(V,U,eigs,j,n)
% Here n should be r*d.

  % jth eigenvalue:
    eigsj = eigs(j);

  % Initialize loop:
    x = zeros(n,n);

  % Sum over all k neq j:
  for k = 1:j-1
       x = x + V(:,k)*U(k,:) / ( eigsj - eigs(k) );
  end
  for k = j+1:n
       x = x + V(:,k)*U(k,:) / ( eigsj - eigs(k) );
  end

% Computes the matrix term: 
%   Sum[ Vk*Uk/(eigj-eigk), (k neq j) ]

% B. Shapiro, Caltech, 24/03/98.
