function x = jth(i,d)
% Converts to desired indexing.
%
%   Copyright (c) 1998, California Institute of Technology.
%   Permission is granted to copy, modify, and redistribute
%   this software provided all header messages are retained.

  x = floor((i-1)/d)+1;

% Converts from i = 1:rd indexing to
% (j,q) = (1:r,1:d) indexing. Here we
% generate jth elem.

% B. Shapiro, Caltech, 03/24/98.
